#!/bin/sh
# @(#) $Id: captive.sh 21 2009-08-30 19:05:57Z leres $ (LBL)

#
# PROVIDE: captive
# KEYWORD: nojail
#

. /etc/rc.subr

name="captive"
rcvar=`set_rcvar`
dev=${captive_chrootdir:-~captive/dev}
start_cmd="${name}_start"
stop_cmd="${name}_stop"

captive_start() {
	if [ ! -d "${dev}" ]; then
		echo "Can't find ${dev}" 1>&2
		exit 0
	fi

	umount ${dev} 2>/dev/null

	# XXX
	devfs_rulesets_from_file /etc/defaults/devfs.rules

	devfs_domount ${dev} devfsrules_hide_all
	devfs -m ${dev} rule apply path null unhide
	devfs -m ${dev} rule apply path random unhide
}

captive_stop() {
	umount ${dev}
}

load_rc_config $name
run_rc_command "$1"
